Summary:        Better multiprocessing and multithreading in python
Name:           python-multiprocess
Version:        0.70.15
Release:        2%{?dist}
License:        BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
URL:            https://pypi.org/pypi/multiprocess
Source0:        %{pypi_source multiprocess}
 
BuildRequires:  dos2unix

BuildArch:      noarch
 
%description
multiprocess is a fork of multiprocessing that uses multiprocessing to support the spawning of 
processes using the API of the python standard library thread module. multiprocess extends 
multiprocessing with dill to provide enhanced serialization. 

multiprocess is part of pathos, a python framework for heterogeneous computing. 

%package -n python3-multiprocess
Summary:        %{summary}
License:        BSD-3-Clause
 
BuildRequires:  python3-devel
BuildRequires:  python3-test python3dist(pox)
 
%description -n python3-multiprocess 
multiprocess is a fork of multiprocessing that uses multiprocessing to support the spawning of 
processes using the API of the python standard library thread module. multiprocess extends 
multiprocessing with dill to provide enhanced serialization. 

multiprocess is part of pathos, a python framework for heterogeneous computing. 


%package doc
Summary:        Documentation for %{name}
 
%description doc
This package provides documentation for %{name}.
 
%prep
%autosetup -n multiprocess-%{version}

find py%{python3_version}/{doc,examples}/ -type f -exec dos2unix '{}' '+'

sed -r -i '1{/^#!/d}' py%{python3_version}/multiprocess/tests/__main__.py
# no need to "enforce python-, abi-, and platform-specific bdist_wheel naming",
# and RPM package do not to have to be arched.
sed -r -i 's/^([[:blank:]]*)(distclass=BinaryDistribution,)/\1# \2/' setup.py
 
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files multiprocess _multiprocess
 
%check
# view tox.ini (but not to use %%tox unless we comment out pip install command)
PYTHONPATH='%{buildroot}%{python3_sitelib}' %{python3} \
    py%{python3_version}/multiprocess/tests/__main__.py
 
%files -n python3-multiprocess -f %{pyproject_files}
%doc README.md
 
%files doc
%license LICENSE COPYING
%doc README.md
%doc py%{python3_version}/examples/
%doc py%{python3_version}/doc/
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.70.15-2
- Rebuilt for loongarch release

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 0.70.15-1
- Upgrade to version 0.70.15

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.70.14-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.70.14-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.70.14-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Wang Guodong <gordonwwang@tencent.com> - 0.70.14-1
- initial build
